/* ccgo: view_game.hh
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef VIEW_GAME_HH
#define VIEW_GAME_HH
#include "game.hh"
#include <gtkmm/drawingarea.h>
namespace go {
	class ViewGame :
		virtual public Game,
		virtual public Gtk::DrawingArea
	{
		void on_realize();
		void on_unrealize();
		bool on_configure_event(GdkEventConfigure *);
		bool on_expose_event(GdkEventExpose *);
	protected:
		Glib::RefPtr<Gdk::Window> win;
		Glib::RefPtr<Gtk::Style> style;
		int win_w;
		int win_h;
		int cell_w;
		int cell_h;
		virtual void draw_loc_at(const Loc &, int, int);
		void draw_site(int, int);
		void draw_loc(const Loc &);
		void trans_loc(const Loc &, int &, int &);
	public:
		ViewGame();
		virtual ~ViewGame();
		virtual void set_board_size(unsigned);
		virtual void set_ko(const Loc &);
		virtual void set_last_move(const Loc &);
		virtual void set_site(const Loc &, State);
	};
}
#endif // VIEW_GAME_HH
